### Method

# Xdp Portal get_settings

#### Declaration [src]

    XdpSettings*
    xdp_portal_get_settings (
      XdpPortal* portal
    )

#### Description [src]

This function returns an object to access settings exposed through the portal.

#### Return value

Type: `XdpSettings`

A `XdpSettings` new settings object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.